Bug Hunting Session
Bug 119773 - Table Contextmenu in Writer, Calc, Draw and Impress
Summary: Table Contextmenu in Writer, Calc, Draw and Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Context-Menu Unify-Across-Apps
  Show dependency treegraph
 
Reported: 2018-09-09 22:48 UTC by andreas_k
Modified: 2018-10-31 09:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Contextmenu Table in Writer, Calc, Draw and Impress (119.67 KB, image/png)
2018-09-09 22:48 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-09-09 22:48:02 UTC
Created attachment 144762 [details]
Contextmenu Table in Writer, Calc, Draw and Impress

Master Layout is as always writer

1st group
---------
cut, copy, paste, paste special

2nd group
---------
Draw & Impress: Position and Size

3nd group
---------
Insert, Delete, Select, Split, Merge, 

Calc: Size, Fill Cells and Insert & Clear Contents. Split and Merge are available only when two cells selcted.

4th group
---------
writer: number format and auto style
calc: Sort and Filter (like in excel)

5th group
---------
calc: Insert Comment 

6th group
---------
writer: character, paragraph
draw, impress: text align, arrange, object align

7th group
---------
Clear direct formating and styles

8th group
---------
Properties 
and app specific actions
Comment 1 Heiko Tietze 2018-09-10 08:22:33 UTC
For my taste there are too many items in the context menu. I would remove all from "Number Format" to "Style" (new design) in Writer. If you want to keep what we have now the "Styles" submenu is the same category as Character and Paragraph (style) plus "Number Format". The "Autoformat Styles" belongs to "Table Properties" but I'd prefer to go with the new dialog/sidebar. I miss Merge Cells in this context menu.

Calc has a different purpose so Text/Number formatting is more relevant here than modifications of cells and I would not include the complete second section. Also it's not crucial to sort from context menu. Better we have only the most relevant functions in the current context available in a way that makes it possible to find the right one in a glance.

Impress/Draw: Looks good but I would omit Select (also at the other modules). And Split please before Merge because of the normal sequence of the actions.

Table text is what pops up when clicking within the table? If so I'd expect text formatting stuff there not Position and Size, for example. Actually the same as for all other text. And I wonder why Writer/Calc don't have extra menus for this context.

All together -1 from my side.
Comment 2 Thomas Lendo 2018-09-10 19:28:11 UTC
Writer:
- you must remove 'Insert caption', see Bug 87590 - Table Caption option inexistent in context menu
- Kill AutoFormat Style as also Heiko said
- Exchange the split commands with. 'Merge cells' which is far more important
- I don't know if the Select sub-menu is necessary
- I think Character/Paragraph/Bullet is necessary like in the text context menu, so they should stay
Comment 3 Thomas Lendo 2018-09-10 19:52:46 UTC
Calc:
- I prefer 'Insert...' and 'Delete...' instead of the sub-menus
- Select, size fill cells necessary?
- Remove Sort and AutoFilter
- Why Selection list and Define?

Draw and Impress:
- Don't use tables in Draw and Draw what's the reason for the removed and added items?
- Why no Character and Paragraph?
Comment 4 Commit Notification 2018-10-27 19:27:10 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=567f6a0f0d24411969641e2e7bb87187854688a7

tdf#119773 update sw table context bar

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-10-28 07:05:34 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85985a6ad85ebd3debf63e286dacbe5945178796

tdf#119773 update sd table context menu

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2018-10-29 18:58:51 UTC
Table context menu in Draw:
"Edit Style..." has no effect.

Table context menu in Writer:
"Table" sub-menu and "Table properties..." should be together as they change some of the same settings.
Comment 7 andreas_k 2018-10-29 19:08:16 UTC
(In reply to Thomas Lendo from comment #6)
> Table context menu in Draw:
> "Edit Style..." has no effect.
> 
> Table context menu in Writer:
> "Table" sub-menu and "Table properties..." should be together as they change
> some of the same settings.

Thanks for your feedback

The "Problem" is that the property item is ALWAYS the last item in the subgroups.

"Table" sub-menu can be moved to Table properties to bottom. What do you think?
Comment 8 Thomas Lendo 2018-10-30 21:53:33 UTC
(In reply to andreas_k from comment #7)
> The "Problem" is that the property item is ALWAYS the last item in the
> subgroups.
> 
> "Table" sub-menu can be moved to Table properties to bottom. What do you
> think?
If this is the only way, yes then I support to move the sub-menu downwards.